Subject: [PATCH 15/16] irqchip: vic: mark vic_of_init() as static

From: [email-masked] (Rob Herring)
Date: Wed, 21 Nov 2012 09:07:59 -0600

On 11/21/2012 08:46 AM, Thomas Petazzoni wrote:
> Linus,
> 
> On Wed, 21 Nov 2012 15:40:02 +0100, Linus Walleij wrote:
>> On Wed, Nov 21, 2012 at 1:53 PM, Thomas Petazzoni
>> <[email-masked]> wrote:
>>> On Wed, 21 Nov 2012 13:40:57 +0100, Linus Walleij wrote:
>>
>>>> It may be that I have missed some patches, but are really all VIC
>>>> users converted in this patch series?
>>>
>>> In this patch series, I'm making vic_of_init() static. vic_init() used
>>> by non-DT platforms is kept as is, with no change, so I'm not sure why
>>> you're worried about vic_init() being a problem.
>>
>> Probably because I didn't parse the _of_ part :-/
>>
>> Sorry about the fuzz!
> 
> No problem :)
> 
>> But the idea is to use the same convenient mechanism for
>> the non-DT platforms later, so we get rid of all the incldue
>> headers I guess?
> 
> Yes. I personally haven't yet thought of this part of the problem, but
> I think Rob has a plan, and if not, we can certainly think of one
> without too much problems.

While we can trim down the headers, I don't think we will get rid of
them in all cases. My only plan was everything gets converted to DT.
Then we can remove gic_init, gic_cascade_irq, and vic_init.

Rob